terraform {
  required_providers {
    namecheap = {
      source = "namecheap/namecheap"
      version = "~> 2.1.0"
    }
  }

  backend "http" {
    address        = "https://asciireactor.com/api/v4/projects/131/terraform/state/personal-database"
    lock_address   = "https://asciireactor.com/api/v4/projects/131/terraform/state/personal-database/lock"
    unlock_address = "https://asciireactor.com/api/v4/projects/131/terraform/state/personal-database/lock"
    lock_method    = "POST"
    unlock_method  = "DELETE"
    retry_wait_min = 5
  }
}

provider "namecheap" {}

variable "saline-rproxy" {
  type    = string
  default = "rprxy-0.saline.o4data.net."
}

variable "stashbox-vip" {
  type    = string
  default = "stashbox.delhi.o4data.net."
}

resource "namecheap_domain_records" "othonotes" {
  domain = "othonotes.com"
    record {
        hostname = "@"
        address  = var.saline-rproxy
        type     = "ALIAS"
        ttl      = 300
    }
    record {
        hostname = "www"
        address  = "othonotes.com."
        type     = "CNAME"
    }
}

resource "namecheap_domain_records" "othostash" {
  domain = "othostash.com"

    record {
        hostname = "@"
        address  = var.stashbox-vip
        type     = "ALIAS"
        ttl      = 300
    }
    record {
        hostname = "www"
        address  = "othostash.com."
        type     = "CNAME"
    }
    record {
        hostname = "websites"
        address  = var.saline-rproxy
        type     = "CNAME"
    }
    record {
        hostname = "filemanager"
        address  = var.saline-rproxy
        type     = "CNAME"
    }
}
